#include "mainwindow.h"
#include "dialog.h"
#include "startscreen.h"
#include "requesthandlerclass.h"

MainWindow::MainWindow(QWidget *parent) :
    QWidget(parent)
{
    reqHand = new RequestHandlerClass();
    ss = new startScreen(this, reqHand);
    this->changeViewToStart();
    connect(reqHand, SIGNAL(thisFinished()),
            this, SLOT(changeViewToWindow()));
}

MainWindow::~MainWindow()
{
}



void MainWindow::changeViewToWindow()
{
    w = new Dialog(this);
    this->show();
    ss->hide();
    w->show();
    w->raise();
}

void MainWindow::changeViewToStart()
{
    this->show();
    ss->show();
    ss->raise();
}
