#ifndef REQUESTHANDLERCLASS_H
#define REQUESTHANDLERCLASS_H
#include <QMap>
#include <QObject>
#include <QString>
#include "downloader.h"

class RequestHandlerClass : public QObject
{
    Q_OBJECT
public:
    RequestHandlerClass();
    void setInstances(int num, int caller);
    void download(int index, QString url);
signals:
    void allComplete();
    void thisFinished();
public slots:
    void setComplete();
    void completed();

private:
    QMap<int, Downloader*> downloaderMap;
    int numberOfDownloaders;
    int caller;
};

#endif // REQUESTHANDLERCLASS_H
