#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <qxml.h>
#include <QVector>

class QString;

class XmlParser : public QXmlDefaultHandler
{
public:
    bool startDocument();
    bool startElement( const QString&, const QString&, const QString& ,
                       const QXmlAttributes& );
    bool endElement( const QString&, const QString&, const QString& );
    bool characters(const QString &str);
    QVector<QString> itemList;
    QVector<QString> itemData;
    QVector<QString> characterList;
    QVector<QString> stats;
    QVector<QString> icons;
    QString filePath;

private:
    QString indent;
    QString element;
    int i;

};


#endif // XMLPARSER_H
