#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "startscreen.h"
#include "dialog.h"
#include "requesthandlerclass.h"


class MainWindow : public QWidget
{
    Q_OBJECT

public slots:
    void changeViewToWindow();
    void changeViewToStart();

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Dialog *w;
    startScreen *ss;
    RequestHandlerClass *reqHand;
};

#endif // WIDGET_H
