#include "vectorhandler.h"
#include "xmlparser.h"
#include <qfile.h>
#include <qxml.h>
#include <QVector>
#include <qstring.h>


VectorHandler::VectorHandler() {
}

//class returns different vectors. Vectors are generated using xmlparser
//VERY clumsy approach, something nicer is required in future
QVector<QString> VectorHandler::handle() {

    XmlParser handler;
    handler.filePath = "cache/character-sheet.xml";
    QFile xmlFile(handler.filePath);
    QXmlInputSource source( &xmlFile );
    QXmlSimpleReader reader;
    reader.setContentHandler( &handler );
    reader.parse( source );
    xmlFile.close();

    for( i = 0; i < handler.itemList.count(); i++) {
    }
    return handler.itemList;

}

QVector<QString> VectorHandler::handleIcons() {
    XmlParser handler;
    handler.filePath = "cache/character-sheet.xml";
    QFile xmlFile(handler.filePath);
    QXmlInputSource source( &xmlFile );
    QXmlSimpleReader reader;
    reader.setContentHandler( &handler );
    reader.parse( source );
    xmlFile.close();
    for(i = 0; i < handler.icons.count(); i++) {
        i++;
    }
    return handler.icons;
}

QVector<QString> VectorHandler::handleStats(QString path) {
    XmlParser handler;
    handler.filePath = path;
    QFile xmlFile(handler.filePath);
    QXmlInputSource source( &xmlFile );
    QXmlSimpleReader reader;
    reader.setContentHandler( &handler );
    reader.parse( source );
    xmlFile.close();
    for(i = 0; i < handler.itemData.count(); i++) {
    }
    return handler.itemData;
}

QVector<QString> VectorHandler::handleStats2() {
    XmlParser handler;
    handler.filePath = "cache/character-sheet.xml";
    QFile xmlFile(handler.filePath);
    QXmlInputSource source( &xmlFile );
    QXmlSimpleReader reader;
    reader.setContentHandler( &handler );
    reader.parse( source );
    xmlFile.close();
    for(i = 0; i < handler.stats.count(); i++) {
    }
    return handler.stats;
}
